package builder.concreteBuilders;

import builder.PizzaBuilderAbstract;

/**
 * 
 * Plays the role of a concrete Builder, builds the Spicy Pizza in our case 
 */
public class SpicyPizzaBuilder extends PizzaBuilderAbstract {
	
    public void buildDough() {
            pizza.setDough("pan baked");
    }

    public void buildSauce() {
            pizza.setSauce("hot");
    }

    public void buildTopping() {
            pizza.setTopping("pepperoni+salami");
    }
}
