package abstractFactory;

import abstractFactory.concreteFactories.HondaFactory;
import abstractFactory.concreteFactories.MercedesFactory;

public class AbstractFactoryTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		// create a Honda
		ICarFactory carFactory = new HondaFactory();
		
		carFactory.createDoors();
		carFactory.createHood();
		
		// create a Mercedes
		carFactory = new MercedesFactory();
		
		carFactory.createDoors();
		carFactory.createHood();

	}

}
