package builder.concreteBuilders;

import builder.PizzaBuilderAbstract;

/**
 * 
 * Plays the role of a concrete Builder, builds the Hawaiian Pizza in our case 
 */
public class HawaiianPizzaBuilder extends PizzaBuilderAbstract {
	
    public void buildDough() {
            pizza.setDough("cross");
    }

    public void buildSauce() {
            pizza.setSauce("mild");
    }

    public void buildTopping() {
            pizza.setTopping("ham+pineapple");
    }
}
